@misc{rfc768,
    series =	{Request for Comments},
    number =	768,
    howpublished =	{RFC 768},
    publisher =	{RFC Editor},
    doi =		{10.17487/RFC0768},
    url =		{https://rfc-editor.org/rfc/rfc768.txt},
    author =	{Jonathan B. Postel},
    title =		{{User Datagram Protocol}},
    pagetotal =	3,
    year =		1980,
    month =		aug,
    abstract =	{},
}

@misc{rfc791,
    series =	{Request for Comments},
    number =	791,
    howpublished =	{RFC 791},
    publisher =	{RFC Editor},
    doi =		{10.17487/RFC0791},
    url =		{https://rfc-editor.org/rfc/rfc791.txt},
    author =	{Jonathan B. Postel},
    title =		{{Internet Protocol}},
    pagetotal =	51,
    year =		1981,
    month =		sep,
    abstract =	{This document specifies the DoD Standard Internet Protocol.  This document is based on six earlier editions of the ARPA Internet Protocol Specification, and the present text draws heavily from them.  There have been many contributors to this work both in terms of concepts and in terms of text.  This edition revises aspects of addressing, error handling, option codes, and the security, precedence, compartments, and handling restriction features of the internet protocol.},
}

@misc{rfc793,
    series =	{Request for Comments},
    number =	793,
    howpublished =	{RFC 793},
    publisher =	{RFC Editor},
    doi =		{10.17487/RFC0793},
    url =		{https://rfc-editor.org/rfc/rfc793.txt},
    author =	{Jonathan B. Postel},
    title =		{{Transmission Control Protocol}},
    pagetotal =	91,
    year =		1981,
    month =		sep,
    abstract =	{This document describes the DoD Standard Transmission Control Protocol (TCP).  There have been nine earlier editions of the ARPA TCP specification on which this standard is based, and the present text draws heavily from them.  There have been many contributors to this work both in terms of concepts and in terms of text.  This edition clarifies several details and removes the end-of-letter buffer-size adjustments, and redescribes the letter mechanism as a push function.},
}

@misc{rfc2026,
    series =	{Request for Comments},
    number =	2026,
    howpublished =	{RFC 2026},
    publisher =	{RFC Editor},
    doi =		{10.17487/RFC2026},
    url =		{https://rfc-editor.org/rfc/rfc2026.txt},
    author =	{Scott O. Bradner},
    title =		{{The Internet Standards Process -- Revision 3}},
    pagetotal =	36,
    year =		1996,
    month =		oct,
    abstract =	{This memo documents the process used by the Internet community for the standardization of protocols and procedures. It defines the stages in the standardization process, the requirements for moving a document between stages and the types of documents used during this process. This document specifies an Internet Best Current Practices for the Internet Community, and requests discussion and suggestions for improvements.},
}

@misc{rfc2629,
    series =	{Request for Comments},
    number =	2629,
    howpublished =	{RFC 2629},
    publisher =	{RFC Editor},
    doi =		{10.17487/RFC2629},
    url =		{https://rfc-editor.org/rfc/rfc2629.txt},
    author =	{Dr. Marshall T. Rose},
    title =		{{Writing I-Ds and RFCs using XML}},
    pagetotal =	31,
    year =		1999,
    month =		jun,
    abstract =	{This memo presents a technique for using XML (Extensible Markup Language) as a source format for documents in the Internet-Drafts (I-Ds) and Request for Comments (RFC) series. This memo provides information for the Internet community.},
}

@misc{rfc3550,
    series =	{Request for Comments},
    number =	3550,
    howpublished =	{RFC 3550},
    publisher =	{RFC Editor},
    doi =		{10.17487/RFC3550},
    url =		{https://rfc-editor.org/rfc/rfc3550.txt},
    author =	{Henning Schulzrinne and Stephen L. Casner and Ron Frederick and Van Jacobson},
    title =		{{RTP: A Transport Protocol for Real-Time Applications}},
    pagetotal =	104,
    year =		2003,
    month =		jul,
    abstract =	{This memorandum describes RTP, the real-time transport protocol. RTP provides end-to-end network transport functions suitable for applications transmitting real-time data, such as audio, video or simulation data, over multicast or unicast network services. RTP does not address resource reservation and does not guarantee quality-of- service for real-time services. The data transport is augmented by a control protocol (RTCP) to allow monitoring of the data delivery in a manner scalable to large multicast networks, and to provide minimal control and identification functionality. RTP and RTCP are designed to be independent of the underlying transport and network layers. The protocol supports the use of RTP-level translators and mixers. Most of the text in this memorandum is identical to RFC 1889 which it obsoletes. There are no changes in the packet formats on the wire, only changes to the rules and algorithms governing how the protocol is used. The biggest change is an enhancement to the scalable timer algorithm for calculating when to send RTCP packets in order to minimize transmission in excess of the intended rate when many participants join a session simultaneously. {[}STANDARDS-TRACK{]}},
}

@misc{rfc6949,
    series =	{Request for Comments},
    number =	6949,
    howpublished =	{RFC 6949},
    publisher =	{RFC Editor},
    doi =		{10.17487/RFC6949},
    url =		{https://rfc-editor.org/rfc/rfc6949.txt},
    author =	{Heather Flanagan and Nevil Brownlee},
    title =		{{RFC Series Format Requirements and Future Development}},
    pagetotal =	14,
    year =		2013,
    month =		may,
    abstract =	{This document describes the current requirements and requests for enhancements for the format of the canonical version of RFCs. Terms are defined to help clarify exactly which stages of document production are under discussion for format changes. The requirements described in this document will determine what changes will be made to RFC format. This document updates RFC 2223.},
}

@misc{rfc7749,
    series =	{Request for Comments},
    number =	7749,
    howpublished =	{RFC 7749},
    publisher =	{RFC Editor},
    doi =		{10.17487/RFC7749},
    url =		{https://rfc-editor.org/rfc/rfc7749.txt},
    author =	{Julian Reschke},
    title =		{{The "xml2rfc" Version 2 Vocabulary}},
    pagetotal =	76,
    year =		2016,
    month =		feb,
    abstract =	{This document defines the "xml2rfc" version 2 vocabulary: an XML-based language used for writing RFCs and Internet-Drafts. Version 2 represents the state of the vocabulary (as implemented by several tools and as used by the RFC Editor) around 2014. This document obsoletes RFC 2629.},
}

@misc{rfc7991,
    series =	{Request for Comments},
    number =	7991,
    howpublished =	{RFC 7991},
    publisher =	{RFC Editor},
    doi =		{10.17487/RFC7991},
    url =		{https://rfc-editor.org/rfc/rfc7991.txt},
    author =	{Paul E. Hoffman},
    title =		{{The "xml2rfc" Version 3 Vocabulary}},
    pagetotal =	151,
    year =		2016,
    month =		dec,
    abstract =	{This document defines the "xml2rfc" version 3 vocabulary: an XML-based language used for writing RFCs and Internet-Drafts. It is heavily derived from the version 2 vocabulary that is also under discussion. This document obsoletes the v2 grammar described in RFC 7749.},
}

@misc{rfc7994,
    series =	{Request for Comments},
    number =	7994,
    howpublished =	{RFC 7994},
    publisher =	{RFC Editor},
    doi =		{10.17487/RFC7994},
    url =		{https://rfc-editor.org/rfc/rfc7994.txt},
    author =	{Heather Flanagan},
    title =		{{Requirements for Plain-Text RFCs}},
    pagetotal =	8,
    year =		2016,
    month =		dec,
    abstract =	{In 2013, after a great deal of community discussion, the decision was made to shift from the plain-text, ASCII-only canonical format for RFCs to XML as the canonical format with more human-readable formats rendered from that XML. The high-level requirements that informed this change were defined in RFC 6949, "RFC Series Format Requirements and Future Development". Plain text remains an important format for many in the IETF community, and it will be one of the publication formats rendered from the XML. This document outlines the rendering requirements for the plain-text RFC publication format. These requirements do not apply to plain-text RFCs published before the format transition.},
}

@misc{rfc8446,
    series =	{Request for Comments},
    number =	8446,
    howpublished =	{RFC 8446},
    publisher =	{RFC Editor},
    doi =		{10.17487/RFC8446},
    url =		{https://rfc-editor.org/rfc/rfc8446.txt},
    author =	{Eric Rescorla},
    title =		{{The Transport Layer Security (TLS) Protocol Version 1.3}},
    pagetotal =	160,
    year =		2018,
    month =		aug,
    abstract =	{This document specifies version 1.3 of the Transport Layer Security (TLS) protocol. TLS allows client/server applications to communicate over the Internet in a way that is designed to prevent eavesdropping, tampering, and message forgery. This document updates RFCs 5705 and 6066, and obsoletes RFCs 5077, 5246, and 6961. This document also specifies new requirements for TLS 1.2 implementations.},
}

@techreport{ietf-quic-transport-16,
    number =	{draft-ietf-quic-transport-16},
    type =		{Internet-Draft},
    institution =	{Internet Engineering Task Force},
    publisher =	{Internet Engineering Task Force},
    note =		{Work in Progress},
    url =		{https://datatracker.ietf.org/doc/html/draft-ietf-quic-transport-16},
    author =	{Jana Iyengar and Martin Thomson},
    title =		{{QUIC: A UDP-Based Multiplexed and Secure Transport}},
    pagetotal =	135,
    year =		2018,
    month =		oct,
    day =		23,
    abstract =	{This document defines the core of the QUIC transport protocol. This document describes connection establishment, packet format, multiplexing, and reliability. Accompanying documents describe the cryptographic handshake and loss detection.},
}

@techreport{ietf-quic-transport-18,
    number =	{draft-ietf-quic-transport-18},
    type =		{Internet-Draft},
    institution =	{Internet Engineering Task Force},
    publisher =	{Internet Engineering Task Force},
    note =		{Work in Progress},
    url =		{https://datatracker.ietf.org/doc/html/draft-ietf-quic-transport-18},
    author =	{Jana Iyengar and Martin Thomson},
    title =		{{QUIC: A UDP-Based Multiplexed and Secure Transport}},
    pagetotal =	141,
    year =		2019,
    month =		jan,
    day =		22,
    abstract =	{This document defines the core of the QUIC transport protocol. Accompanying documents describe QUIC's loss detection and congestion control and the use of TLS for key negotiation. Note to Readers Discussion of this draft takes place on the QUIC working group mailing list (quic@ietf.org), which is archived at \textless{}https://mailarchive.ietf.org/arch/search/?email\_list=quic\textgreater{}. Working Group information can be found at \textless{}https://github.com/ quicwg\textgreater{}; source code and issues list for this draft can be found at \textless{}https://github.com/quicwg/base-drafts/labels/-transport\textgreater{}.},
}

@techreport{rfc-editor-errata-process-02,
    number =	{draft-rfc-editor-errata-process-02},
    type =		{Internet-Draft},
    institution =	{Internet Engineering Task Force},
    publisher =	{Internet Engineering Task Force},
    note =		{Work in Progress},
    url =		{https://datatracker.ietf.org/doc/html/draft-rfc-editor-errata-process-02},
    author =	{Alice Hagens and Sandy Ginoza and Robert Braden},
    title =		{{RFC Editor Proposal for Handling RFC Errata}},
    pagetotal =	14,
    year =		2008,
    month =		may,
    day =		21,
    abstract =	{This document describes a web-based process for handling the submission, verification, and posting of errata for the RFC Series. The main concepts behind this process are (1) distributing the responsibility for verification to the appropriate organization or person for each RFC stream, and (2) using a Web portal to automate the book-keeping for handling errata.},
}

@misc{improving-protocol-standards,
    author = {Colin Perkins and Stephen McQuistin},
    title = {Improving Protocol Standards for a more Trustworthy Internet},
    year = {2019},
    publisher = {GitHub},
    journal = {GitHub repository},
    url = {https://github.com/lumisota/improving-protocol-standards},
}

@misc{ir,
    author = {Colin Perkins and Stephen McQuistin},
    title = {The Glasgow Packet Language: Type System and Execution Model},
    year = {2019},
    url = {https://github.com/lumisota/improving-protocol-standards/blob/57007d6950325939e7a131b898e37a930cd735e5/notes/ir.tex},
}

@misc{ir-json,
    author = {Colin Perkins and Stephen McQuistin},
    title = {The Glasgow Packet Language: Intermediate Representation and Execution Model},
    year = {2018},
    url = {https://github.com/lumisota/improving-protocol-standards/blob/cd648938d0098d3ed85df61d12ab44f3efa628b6/notes/ir.tex},
}

@misc{pdu,
    url =		{https://erg.abdn.ac.uk/users/gorry/eg3567/intro-pages/encapsulation.html},
    author =	{Gorry Fairhurst},
    title =		{{Encapsulation of Protocol Data Units}},
    year =		2005,
    month =		dec,
}

@article{netpdl-xml-packet-header-description,
    title = "NetPDL: An extensible XML-based language for packet header description",
    journal = "Computer Networks",
    volume = "50",
    number = "5",
    pages = "688 - 706",
    year = "2006",
    issn = "1389-1286",
    doi = "https://doi.org/10.1016/j.comnet.2005.05.029",
    url = "http://www.sciencedirect.com/science/article/pii/S1389128605002008",
    author = "Fulvio Risso and Mario Baldi",
    keywords = "Protocol description language, NetPDL, XML, Protocol header description",
    abstract = "Although several applications need to know the format of network packets to perform their tasks, till now, each application uses its own packet description database. This paper addresses this problem by proposing the NetPDL, an XML-based language for describing packet headers, which has the potential of enabling the realization of a common, application-independent protocol description database that can be shared among several applications. Further, common functionalities related to the protocol database can be implemented in a library, which can be a basic building block for implementing networking applications."
}



@misc{rfc2xml-sourceforge,
    url =		{https://sourceforge.net/projects/rfc2xml/},
    author =	{Ian Chakeres and Chris Newman},
    title =		{{rfc2xml, troff2xml, and rfc2html}},
    year =		2013,
    month =		mar,
}

@online{lxml,
    url =		{https://lxml.de/index.html},
    author = 	{Allen Short},
    title = 	{lxml - XML and HTML with Python},
    year =		2019,
    month = 	sep,
}

@online{parsley,
    url =		{https://pypi.org/project/Parsley/},
    author = 	{Stefan Behnel and Martijn Faassen},
    title = 	{Parsley 1.3},
    year =		2015,
    month = 	sep,
}
